/*
 * Copyright (c) 2007, 2009, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: ClassicEmptyBodyTag.java 62554 2011-04-15 18:08:28Z dougd $
 */
 
package com.sun.ts.tests.jsp.spec.core_syntax.actions.body;

import javax.servlet.jsp.tagext.BodyTagSupport;
import javax.servlet.jsp.tagext.DynamicAttributes;
import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspWriter;
import java.io.IOException;

public class ClassicEmptyBodyTag extends BodyTagSupport
implements DynamicAttributes{

    public void setDynamicAttribute(String s, String s1, Object o)
    throws JspException {
        // no-op
    }

    public int doEndTag() throws JspException {
        JspWriter out = pageContext.getOut();
        try {
            if (getBodyContent() == null) {
                out.println("Test PASSED");
            } else {
                out.println("Test FAILED.  The body of the action was not empty");
            }
        } catch (IOException ioe) {
            throw new JspException("Unexpected IOException!", ioe);
        }
        return EVAL_PAGE;
    }
}
